VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "objSelf"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'-----------------------------------------------------
' MirageBot Self Object
' Written by Christopher Nevin (lancergli@gmail.com)
'-----------------------------------------------------

Option Explicit

Private mChannel As String

Public TickActive As Double, TickChannel As Double, TickOnline As Double
Public Username As String, Statstring As String, Flags As Long, Ping As Double
Public ChannelFlags As Long, IsVoid As Boolean, NonVoidChannel As String
Public PreviousChannel As String, FirstChannel As Boolean, FirstAttempt As Boolean
Public UserUBL As String, UserFW As String, UserRE As String, Character As String

Public Property Get ProductID() As String
    If LenB(Statstring) = 0 Then Exit Sub
    ProductID = StrReverse$(Left$(Statstring, 4))
End Property

Public Property Get IsDiablo() As Boolean
    If LenB(Statstring) = 0 Then Exit Sub
    IsDiablo = Left$(Statstring, 4) = "VD2D" Or Left$(Statstring, 4) = "PX2D"
End Property

Public Property Get IsStarCraft() As Boolean
    If LenB(Statstring) = 0 Then Exit Sub
    IsStarCraft = Left$(Statstring, 4) = "RATS" Or Left$(Statstring, 4) = "PXES"
End Property

Public Property Get IsWarCraft2() As Boolean
    If LenB(Statstring) = 0 Then Exit Sub
    IsWarCraft2 = Left$(Statstring, 4) = "NB2W"
End Property

Public Property Get IsWarCraft3() As Boolean
    If LenB(Statstring) = 0 Then Exit Sub
    IsWarCraft3 = Left$(Statstring, 4) = "3RAW" Or Left$(Statstring, 4) = "PX3W"
End Property

Public Property Get Channel() As String
    Channel = mChannel
End Property

Public Property Let Channel(Value As String)
    mChannel = Value
    TickChannel = DblTickCount
    If mChannel <> "The Void" Then NonVoidChannel = mChannel
    IsVoid = (LCase$(Value) = "the void")
End Property

Public Property Get IsOperator() As Boolean
    IsOperator = (Flags And &H2) Or (Flags And &H1) Or (Flags And &H8)
End Property



